Bug 98228 - (SMP)kernel livelock in 2.4.20-18.7smp
(SMP)kernel livelock in 2.4.20-18.7smp
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
All Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-28 06:54 EDT by Red Hat Production Operations
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-06-28 06:54:13 EDT
machine responds to ping, sysrq is active, but userspace is not responsive.

sysrq-p shows one of 2 states consistantly:

Pid: 22512, comm:                   ps
EIP: 0010:[<c016a27b>] CPU: 0         
EIP is at .text.lock.base [kernel] 0x141 (2.4.20-18.7smp)
 EFLAGS: 00000282    Not tainted                         
EAX: c1000030 EBX: f2b28680 ECX: d86e0000 EDX: 00000000
ESI: d86e0000 EDI: 0000000b EBP: c0310f70 DS: 0018 ES: 0018
CR0: 8005003b CR2: 0819c0bc CR3: 3660f000 CR4: 000006d0    
Call Trace:   [<c0169899>] proc_pid_make_inode [kernel] 0x79 (0xee9bdce8))
[<c0169b56>] proc_base_lookup [kernel] 0x86 (0xee9bdcfc))                 
[<c0150c33>] real_lookup [kernel] 0x73 (0xee9bdd34))     
[<c01515c6>] link_path_walk [kernel] 0x7c6 (0xee9bdd50))
[<c015a1ec>] dput [kernel] 0x1c (0xee9bdd74))           
[<c0150c33>] real_lookup [kernel] 0x73 (0xee9bdd84))
[<c015175e>] link_path_walk [kernel] 0x95e (0xee9bdda8))
[<c0139434>] reclaim_page [kernel] 0x3c4 (0xee9bddcc))  
[<c013dda5>] __alloc_pages_limit [kernel] 0x85 (0xee9bddec))
[<c013de7c>] __alloc_pages [kernel] 0xac (0xee9bde00))      
[<c0142f16>] __pte_chain_free [kernel] 0x16 (0xee9bde28))
[<c012d871>] do_anonymous_page [kernel] 0x291 (0xee9bde34))
[<c012d8bc>] do_no_page [kernel] 0x3c (0xee9bde5c))        
[<c012c496>] get_user_pages [kernel] 0xf6 (0xee9bde8c))
[<c0151a5b>] path_lookup [kernel] 0x1b (0xee9bded0))   
[<c0151f75>] open_namei [kernel] 0x85 (0xee9bdee0)) 
[<c014577c>] filp_open [kernel] 0x3c (0xee9bdf70)) 
[<c01508be>] getname [kernel] 0x5e (0xee9bdf90))  
[<c0145ac4>] sys_open [kernel] 0x34 (0xee9bdfa8))
[<c0108be3>] system_call [kernel] 0x33 (0xee9bdfc0))

Pid: 0, comm:              swapper
EIP: 0010:[<c011a541>] CPU: 1     
EIP is at .text.lock.sched [kernel] 0x61 (2.4.20-18.7smp)
 EFLAGS: 00000282    Not tainted                         
EAX: 00000000 EBX: d86e0000 ECX: c0384a00 EDX: 00000000
ESI: f4fa8780 EDI: d86e0000 EBP: c44c9fac DS: 0018 ES: 0018
CR0: 8005003b CR2: 0805d6d0 CR3: 00101000 CR4: 000006d0    
Call Trace:   [<c0106e60>] default_idle [kernel] 0x0 (0xc44c9f74))
[<c0106e60>] default_idle [kernel] 0x0 (0xc44c9f90))              
[<c0106e60>] default_idle [kernel] 0x0 (0xc44c9fa0))
[<c0106e60>] default_idle [kernel] 0x0 (0xc44c9fac))
[<c0106f2e>] cpu_idle [kernel] 0x5e (0xc44c9fb0))   
[<c011c7bb>] call_console_drivers [kernel] 0xeb (0xc44c9fe0))

sysrq-m:

Mem-info:          
Free pages:       11572kB (  1024kB HighMem)
Zone:DMA freepages:  4476kB min:  4224kB low:  4352kB high:  4480kB
Zone:Normal freepages:  6072kB min:  5112kB low: 18172kB high: 25212kB
Zone:HighMem freepages:  1024kB min:  1020kB low: 18424kB high: 27636kB
Free pages:       11572kB (  1024kB HighMem)                           
( Active: 381842/16309, inactive_laundry: 49196, inactive_clean: 12329, free: 2893 )
17*4kB 79*8kB 20*16kB 4*32kB 6*64kB 1*128kB 1*256kB 1*512kB 0*1024kB 1*2048kB =
4476kB)
242*4kB 634*8kB 2*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB 0*1024kB 0*2048kB =
6072kB)
0*4kB 2*8kB 1*16kB 1*32kB 1*64kB 1*128kB 1*256kB 1*512kB 0*1024kB 0*2048kB = 1024kB)
Swap cache: add 228137, delete 188305, find 11233844/11302332, race 0+0
Free swap:       1927888kB                                             
524286 pages of RAM       
294910 pages of HIGHMEM
8064 reserved pages    
138478 pages shared
39832 pages swap cached

sysrq-t is very long, but shows things like this fairly regularly:

vsftpd        R 00000001  2032 20991  20815                     (NOTLB)
Call Trace:   [<c012106b>] do_softirq [kernel] 0x6b (0xccc8fbc0))      
[<c0118e27>] schedule_timeout [kernel] 0x17 (0xccc8fbdc))        
[<c0206018>] wait_for_tcp_memory [kernel] 0x1d8 (0xccc8fc0c))
[<c0207bd7>] tcp_sendmsg [kernel] 0xd77 (0xccc8fc48))        
[<c01f094f>] nf_hook_slow [kernel] 0xcf (0xccc8fc58))
[<c01ff0ce>] ip_rcv [kernel] 0x39e (0xccc8fcb0))     
[<c01ff240>] ip_rcv_finish [kernel] 0x0 (0xccc8fcc8))
[<c01e9bc0>] netif_rx [kernel] 0xc0 (0xccc8fce0))    
[<c01e57df>] alloc_skb [kernel] 0xef (0xccc8fd04))
[<f8a04a9d>] tulip_rx [tulip] 0x30d (0xccc8fd18)) 
[<f8a1bdac>] rpc_sleep_on_Rsmp_5512823c [sunrpc] 0x3c (0xccc8fd28))
[<c0224ee5>] inet_sendmsg [kernel] 0x35 (0xccc8fd64))              
[<c01e220c>] sock_sendmsg [kernel] 0x6c (0xccc8fd78))
[<f8a1c3af>] __rpc_execute [sunrpc] 0xaf (0xccc8fd90))
[<f8a453a9>] nfs_pagein_one [nfs] 0x149 (0xccc8fdc8)) 
[<c01e51f1>] sock_no_sendpage [kernel] 0xb1 (0xccc8fddc))
[<c0206d47>] tcp_sendpage [kernel] 0x37 (0xccc8fe44))    
[<c01e249a>] sock_sendpage [kernel] 0x5a (0xccc8fe6c))
[<c013158e>] file_send_actor [kernel] 0x3e (0xccc8fe8c))
[<c01306bc>] __lock_page [kernel] 0xcc (0xccc8febc))    
[<c0130ee5>] do_generic_file_read [kernel] 0x235 (0xccc8fedc))
[<c01317e3>] common_sendfile [kernel] 0x173 (0xccc8ff24))     
[<c0131550>] file_send_actor [kernel] 0x0 (0xccc8ff34))  
[<c014e1b2>] sys_fstat64 [kernel] 0x22 (0xccc8ff70))   
[<c0145d90>] generic_file_llseek [kernel] 0x0 (0xccc8ff84))
[<c0131854>] sys_sendfile [kernel] 0x44 (0xccc8ff9c))      
[<c0108be3>] system_call [kernel] 0x33 (0xccc8ffc0)) 

vsftpd        R F78B8894     0 21026  21024                     (NOTLB)
Call Trace:   [<c0118e27>] schedule_timeout [kernel] 0x17 (0xee709d3c))
[<c01485d8>] bread [kernel] 0x18 (0xee709d50))                         
[<c0208360>] tcp_data_wait [kernel] 0x100 (0xee709d6c))
[<c0208b7f>] tcp_recvmsg [kernel] 0x51f (0xee709da4))  
[<c02193e4>] tcp_v4_destroy_sock [kernel] 0x134 (0xee709ddc))
[<f886e825>] ext3_mark_iloc_dirty [ext3] 0x25 (0xee709dec))  
[<f886e836>] ext3_mark_iloc_dirty [ext3] 0x36 (0xee709df4))
[<c0224e99>] inet_recvmsg [kernel] 0x39 (0xee709e08))      
[<c01e2261>] sock_recvmsg [kernel] 0x31 (0xee709e34))
[<c01e480a>] sk_free [kernel] 0x6a (0xee709e60))     
[<c0209a4d>] tcp_close [kernel] 0x7bd (0xee709e80))
[<c01e3221>] sys_recvfrom [kernel] 0xa1 (0xee709e9c))
[<c015c59e>] clear_inode [kernel] 0xe (0xee709ee4))  
[<f8a46757>] nfs_scan_commit [nfs] 0x27 (0xee709efc))
[<f8a481db>] nfs_commit_file [nfs] 0x3b (0xee709f20))
[<c015a217>] dput [kernel] 0x47 (0xee709f34))        
[<c0120431>] do_getitimer [kernel] 0xa1 (0xee709f58))
[<c01e329d>] sys_recv [kernel] 0x1d (0xee709f6c))    
[<c01e3944>] sys_socketcall [kernel] 0x154 (0xee709f88))
[<c0108be3>] system_call [kernel] 0x33 (0xee709fc0))    

vsftpd        S EACBFF94     0 21235   5727 21244   21310 20890 (NOTLB)
Call Trace:   [<c023cc60>] __generic_copy_to_user [kernel] 0x30 (0xeacbfdec))
[<c0118e27>] schedule_timeout [kernel] 0x17 (0xeacbfe00))                    
[<c01e7806>] wait_for_packet [kernel] 0xe6 (0xeacbfe30)) 
[<c01e792f>] skb_recv_datagram [kernel] 0xcf (0xeacbfe64))
[<c0230c55>] unix_dgram_recvmsg [kernel] 0x45 (0xeacbfe88))
[<c01e2261>] sock_recvmsg [kernel] 0x31 (0xeacbfeb0))      
[<c015c59e>] clear_inode [kernel] 0xe (0xeacbfee4))  
[<c0117c67>] do_page_fault [kernel] 0x1a7 (0xeacbff04))
[<c01e2368>] sock_read [kernel] 0x88 (0xeacbff18))     
[<c0108cd4>] error_code [kernel] 0x34 (0xeacbff4c))
[<c0146136>] sys_read [kernel] 0x96 (0xeacbff5c))  
[<c0125884>] free_uid [kernel] 0x14 (0xeacbff84))
[<c0123d48>] sys_capset [kernel] 0x68 (0xeacbff8c))
[<c0108be3>] system_call [kernel] 0x33 (0xeacbffc0))

vsftpd        R C01E5B3E     0 21459  21455                     (NOTLB)
Call Trace:   [<c01e5b3e>] __kfree_skb [kernel] 0x11e (0xeaa83b98))    
[<c01e9df2>] net_tx_action [kernel] 0x62 (0xeaa83ba4))             
[<c012106b>] do_softirq [kernel] 0x6b (0xeaa83bc0))   
[<c0118e27>] schedule_timeout [kernel] 0x17 (0xeaa83bdc))
[<c0206018>] wait_for_tcp_memory [kernel] 0x1d8 (0xeaa83c0c))
[<c0207bd7>] tcp_sendmsg [kernel] 0xd77 (0xeaa83c48))        
[<f8a05106>] tulip_interrupt [tulip] 0x5d6 (0xeaa83ca8))
[<c01ea119>] process_backlog [kernel] 0x79 (0xeaa83cd4))
[<c01ea25f>] net_rx_action [kernel] 0x9f (0xeaa83d04))  
[<f8a1bd63>] __rpc_sleep_on [sunrpc] 0x1a3 (0xeaa83d18))
[<c012106b>] do_softirq [kernel] 0x6b (0xeaa83d3c))     
[<c0224ee5>] inet_sendmsg [kernel] 0x35 (0xeaa83d64))
[<c01e220c>] sock_sendmsg [kernel] 0x6c (0xeaa83d78))
[<f8a1c3af>] __rpc_execute [sunrpc] 0xaf (0xeaa83d90))
[<f8a453a9>] nfs_pagein_one [nfs] 0x149 (0xeaa83dc8)) 
[<c01e51f1>] sock_no_sendpage [kernel] 0xb1 (0xeaa83ddc))
[<f8a45415>] nfs_pagein_list [nfs] 0x45 (0xeaa83dfc))    
[<c0206d47>] tcp_sendpage [kernel] 0x37 (0xeaa83e44))
[<c01e249a>] sock_sendpage [kernel] 0x5a (0xeaa83e6c))
[<c013158e>] file_send_actor [kernel] 0x3e (0xeaa83e8c))
[<c0130ee5>] do_generic_file_read [kernel] 0x235 (0xeaa83edc))
[<c01317e3>] common_sendfile [kernel] 0x173 (0xeaa83f24))     
[<c0131550>] file_send_actor [kernel] 0x0 (0xeaa83f34))  
[<c01e59bc>] kfree_skbmem [kernel] 0xc (0xeaa83f54))   
[<c0118e94>] schedule_timeout [kernel] 0x84 (0xeaa83f6c))
[<c0145d90>] generic_file_llseek [kernel] 0x0 (0xeaa83f84))
[<c0131854>] sys_sendfile [kernel] 0x44 (0xeaa83f9c))      
[<c0108be3>] system_call [kernel] 0x33 (0xeaa83fc0)) 

vsftpd        S C01E820F  1592 21592   5727 21703   21671 21403 (NOTLB)
Call Trace:   [<c01e820f>] scm_fp_copy [kernel] 0x9f (0xdb66bdbc))     
[<c0118e27>] schedule_timeout [kernel] 0x17 (0xdb66be00))         
[<c01e5329>] sock_def_readable [kernel] 0x39 (0xdb66be18))
[<c01e7806>] wait_for_packet [kernel] 0xe6 (0xdb66be30))  
[<c01e792f>] skb_recv_datagram [kernel] 0xcf (0xdb66be64))
[<c0230c55>] unix_dgram_recvmsg [kernel] 0x45 (0xdb66be88))
[<c01e2261>] sock_recvmsg [kernel] 0x31 (0xdb66beb0))      
[<c022469e>] inet_bind [kernel] 0x17e (0xdb66becc))  
[<c01e2368>] sock_read [kernel] 0x88 (0xdb66bf18)) 
[<c0146136>] sys_read [kernel] 0x96 (0xdb66bf5c)) 
[<c0145be5>] filp_close [kernel] 0x95 (0xdb66bf8c))
[<c0108be3>] system_call [kernel] 0x33 (0xdb66bfc0))

vsftpd        R 00000000     0 21602  21600                     (NOTLB)
Call Trace:   [<c01ff110>] ip_local_deliver_finish [kernel] 0x0 (0xcac7bd00))
[<c01f0986>] nf_hook_slow [kernel] 0x106 (0xcac7bd04))                       
[<c0118e27>] schedule_timeout [kernel] 0x17 (0xcac7bd3c))
[<c01fed1b>] ip_local_deliver [kernel] 0x17b (0xcac7bd44))
[<c0208360>] tcp_data_wait [kernel] 0x100 (0xcac7bd6c))   
[<c0208b7f>] tcp_recvmsg [kernel] 0x51f (0xcac7bda4))  
[<c01ff240>] ip_rcv_finish [kernel] 0x0 (0xcac7bde4))
[<c01f0986>] nf_hook_slow [kernel] 0x106 (0xcac7bde8))
[<c0224e99>] inet_recvmsg [kernel] 0x39 (0xcac7be08)) 
[<c01e2261>] sock_recvmsg [kernel] 0x31 (0xcac7be34))
[<c0118e94>] schedule_timeout [kernel] 0x84 (0xcac7be4c))
[<c01e9bc0>] netif_rx [kernel] 0xc0 (0xcac7be58))        
[<c01e3221>] sys_recvfrom [kernel] 0xa1 (0xcac7be9c))
[<c01ea069>] netif_receive_skb [kernel] 0x199 (0xcac7bee4))
[<f8a05106>] tulip_interrupt [tulip] 0x5d6 (0xcac7bef8))   
[<c01ea119>] process_backlog [kernel] 0x79 (0xcac7bf24))
[<c015a1ec>] dput [kernel] 0x1c (0xcac7bf30))           
[<c0120431>] do_getitimer [kernel] 0xa1 (0xcac7bf58))
[<c01e329d>] sys_recv [kernel] 0x1d (0xcac7bf6c))    
[<c01e3944>] sys_socketcall [kernel] 0x154 (0xcac7bf88))
[<c0108be3>] system_call [kernel] 0x33 (0xcac7bfc0))    

vsftpd        S CC37DF94     4 21671   5727 21695   21786 21592 (NOTLB)
Call Trace:   [<c0139434>] reclaim_page [kernel] 0x3c4 (0xcc37dde0))   
[<c0118e27>] schedule_timeout [kernel] 0x17 (0xcc37de00))           
[<c0131c2c>] filemap_nopage [kernel] 0xbc (0xcc37de18))  
[<c01e7806>] wait_for_packet [kernel] 0xe6 (0xcc37de30))
[<c01e792f>] skb_recv_datagram [kernel] 0xcf (0xcc37de64))
[<c0230c55>] unix_dgram_recvmsg [kernel] 0x45 (0xcc37de88))
[<c01e2261>] sock_recvmsg [kernel] 0x31 (0xcc37deb0))      
[<c015c59e>] clear_inode [kernel] 0xe (0xcc37dee4))  
[<c01e2368>] sock_read [kernel] 0x88 (0xcc37df18)) 
[<c0108cd4>] error_code [kernel] 0x34 (0xcc37df4c))
[<c0146136>] sys_read [kernel] 0x96 (0xcc37df5c))  
[<c0125884>] free_uid [kernel] 0x14 (0xcc37df84))
[<c0123d48>] sys_capset [kernel] 0x68 (0xcc37df8c))
[<c0108be3>] system_call [kernel] 0x33 (0xcc37dfc0))

vsftpd        R 0000001D  1812 21808  21786                     (NOTLB)
Call Trace:   [<c011cec6>] ll_copy_to_user [kernel] 0x46 (0xcb8e5d04)) 
[<c01e7388>] memcpy_toiovec [kernel] 0x38 (0xcb8e5d28))               
[<c0118e27>] schedule_timeout [kernel] 0x17 (0xcb8e5d3c))
[<c0212aff>] tcp_write_xmit [kernel] 0x1df (0xcb8e5d40)) 
[<c0208360>] tcp_data_wait [kernel] 0x100 (0xcb8e5d6c)) 
[<c0208b7f>] tcp_recvmsg [kernel] 0x51f (0xcb8e5da4))  
[<c0224e99>] inet_recvmsg [kernel] 0x39 (0xcb8e5e08))
[<c01e2261>] sock_recvmsg [kernel] 0x31 (0xcb8e5e34))
[<c0224e99>] inet_recvmsg [kernel] 0x39 (0xcb8e5e84))
[<c01e3221>] sys_recvfrom [kernel] 0xa1 (0xcb8e5e9c))
[<c01e59bc>] kfree_skbmem [kernel] 0xc (0xcb8e5ed0)) 
[<c01e5b3e>] __kfree_skb [kernel] 0x11e (0xcb8e5ee0))
[<c01e9df2>] net_tx_action [kernel] 0x62 (0xcb8e5eec))
[<c012106b>] do_softirq [kernel] 0x6b (0xcb8e5f08))   
[<c010a870>] do_IRQ [kernel] 0x100 (0xcb8e5f24))   
[<c0120431>] do_getitimer [kernel] 0xa1 (0xcb8e5f58))
[<c01e329d>] sys_recv [kernel] 0x1d (0xcb8e5f6c))    
[<c01e3944>] sys_socketcall [kernel] 0x154 (0xcb8e5f88))
[<c0108be3>] system_call [kernel] 0x33 (0xcb8e5fc0))    

crond         S 40000000     0 21997   5864 21998               (NOTLB)
Call Trace:   [<c012e9ba>] get_unmapped_area [kernel] 0xda (0xdecbdecc))
[<c014fc0c>] pipe_wait [kernel] 0x7c (0xdecbdf08))                      
[<c014fcf4>] pipe_read [kernel] 0xb4 (0xdecbdf3c))
[<c0146136>] sys_read [kernel] 0x96 (0xdecbdf5c)) 
[<c010e607>] sys_mmap2 [kernel] 0x67 (0xdecbdf74))
[<c0146091>] sys_llseek [kernel] 0x101 (0xdecbdfa0))
[<c0108be3>] system_call [kernel] 0x33 (0xdecbdfc0))

vsftpd        S D692FF94     8 22501   5759 22503   22505 22482 (NOTLB)
Call Trace:   [<c023cc60>] __generic_copy_to_user [kernel] 0x30 (0xd692fdec))
[<c0118e27>] schedule_timeout [kernel] 0x17 (0xd692fe00))                    
[<c011cec6>] ll_copy_to_user [kernel] 0x46 (0xd692fe04)) 
[<c0131c2c>] filemap_nopage [kernel] 0xbc (0xd692fe18)) 
[<c01e7806>] wait_for_packet [kernel] 0xe6 (0xd692fe30))
[<c01e792f>] skb_recv_datagram [kernel] 0xcf (0xd692fe64))
[<c0230c55>] unix_dgram_recvmsg [kernel] 0x45 (0xd692fe88))
[<c01e2261>] sock_recvmsg [kernel] 0x31 (0xd692feb0))      
[<c015c59e>] clear_inode [kernel] 0xe (0xd692fee4))  
[<c01e2368>] sock_read [kernel] 0x88 (0xd692ff18)) 
[<c0108cd4>] error_code [kernel] 0x34 (0xd692ff4c))
[<c0146136>] sys_read [kernel] 0x96 (0xd692ff5c))  
[<c0125884>] free_uid [kernel] 0x14 (0xd692ff84))
[<c0123d48>] sys_capset [kernel] 0x68 (0xd692ff8c))
[<c0108be3>] system_call [kernel] 0x33 (0xd692ffc0))

ps            R C015175E     0 22512   5447                     (NOTLB)
Call Trace:   [<c015175e>] link_path_walk [kernel] 0x95e (0xee9bdda8)) 
[<c0139434>] reclaim_page [kernel] 0x3c4 (0xee9bddcc))                
[<c013dda5>] __alloc_pages_limit [kernel] 0x85 (0xee9bddec))
[<c013de7c>] __alloc_pages [kernel] 0xac (0xee9bde00))      
[<c0142f16>] __pte_chain_free [kernel] 0x16 (0xee9bde28))
[<c012d871>] do_anonymous_page [kernel] 0x291 (0xee9bde34))
[<c012d8bc>] do_no_page [kernel] 0x3c (0xee9bde5c))        
[<c012c496>] get_user_pages [kernel] 0xf6 (0xee9bde8c))
[<c0151a5b>] path_lookup [kernel] 0x1b (0xee9bded0))   
[<c0151f75>] open_namei [kernel] 0x85 (0xee9bdee0)) 
[<c014577c>] filp_open [kernel] 0x3c (0xee9bdf70)) 
[<c01508be>] getname [kernel] 0x5e (0xee9bdf90))  
[<c0145ac4>] sys_open [kernel] 0x34 (0xee9bdfa8))
[<c0108be3>] system_call [kernel] 0x33 (0xee9bdfc0))

vsftpd        R 00000010     0 22514  22513                     (NOTLB)
Call Trace:   [<c01e7388>] memcpy_toiovec [kernel] 0x38 (0xf26fbd28))  
[<c0118e27>] schedule_timeout [kernel] 0x17 (0xf26fbd3c))            
[<c0212aff>] tcp_write_xmit [kernel] 0x1df (0xf26fbd40)) 
[<c0208360>] tcp_data_wait [kernel] 0x100 (0xf26fbd6c)) 
[<c0208b7f>] tcp_recvmsg [kernel] 0x51f (0xf26fbda4))  
[<c013dda5>] __alloc_pages_limit [kernel] 0x85 (0xf26fbdec))
[<c0224e99>] inet_recvmsg [kernel] 0x39 (0xf26fbe08))       
[<c01e2261>] sock_recvmsg [kernel] 0x31 (0xf26fbe34))
[<c0142f16>] __pte_chain_free [kernel] 0x16 (0xf26fbe64))
[<c0224e99>] inet_recvmsg [kernel] 0x39 (0xf26fbe84))    
[<c01e3221>] sys_recvfrom [kernel] 0xa1 (0xf26fbe9c))
[<c013401f>] mprotect_fixup [kernel] 0x4cf (0xf26fbecc))
[<c0117c67>] do_page_fault [kernel] 0x1a7 (0xf26fbf04)) 
[<c01e2427>] sock_write [kernel] 0xa7 (0xf26fbf18))    
[<c0120431>] do_getitimer [kernel] 0xa1 (0xf26fbf58))
[<c01e329d>] sys_recv [kernel] 0x1d (0xf26fbf6c))    
[<c01e3944>] sys_socketcall [kernel] 0x154 (0xf26fbf88))
[<c0108be3>] system_call [kernel] 0x33 (0xf26fbfc0))
Comment 1 Bugzilla owner 2004-09-30 11:41:13 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.